"use strict";
layui.extend({
    common    :   'js/common'
}).use(['jquery','layer','common','table'],function () {
    //  Jquery插件
    var $ = layui.jquery;
    //  引入公共模块
    var common = layui.common;

    var roleId = $('#role_id').val();

    //  初始化表单
    var layuiTable = common.layuiTable.render(layui.table,{
        elem: '#data_entity_table'
        ,url: '/permissions/role/account/pagingQueryAccountListByNotHaveRole?roleId=' + roleId
        , cols: [[
            { field:'userName', title: '用户姓名',align:'center' }
            ,{ field:'loginName', title: '登陆名',align:'center' }
            ,{ field:'orgName', title: '归属机构',align:'center' }
            , { title: '操作', align: 'center',  toolbar: '#table-useradmin-webuser' }
        ]]
    });


    //  监听行工具事件
    layui.table.on('tool(data_table_event)', function(obj){
        switch(obj.event){
            case 'bind':
                layer.confirm('确认绑定此账号？', function(index){
                    $.ajax({
                        url     :   '/permissions/role/account/bind',
                        data    :   {
                            'roleId'    :   roleId,
                            'accountId' :   obj.data.id
                        },
                        type    :   'POST',
                        success :   function(result){
                            if (result.data) {
                                //  刷新表格
                                layuiTable.reload();
                                layer.msg("绑定成功");
                                parent.document.getElementById('is_reload').value = 1;
                            }else {
                                layer.msg("绑定失败");
                            }
                            layer.close(index);
                        }
                    });
                });
                break;
            default:
                break;
        }
    });


});